complexType "ContractIdentifier"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | partyReference?, (contractId* | versionedContractId*)
</...>

Content Model Elements (3):

  contractId (defined in ContractIdentifier complexType), partyReference (defined in ContractIdentifier complexType), | versionedContractId

Annotation
A type defining a contract identifier issued by the indicated party.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="ContractIdentifier"> <xsd:sequence> <xsd:element minOccurs="0" name="partyReference" type="PartyReference"/> <xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractId" type="ContractId"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="versionedContractId" type="VersionedContractId"/> </xsd:choice> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 3/3)
contractId

  Type: | ContractId, simple content

  A contract id which is not version aware.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractId" type="ContractId"/>

partyReference

  Type: | PartyReference, empty content

  A pointer style reference to a party identifier defined elsewhere in the document. The party referenced has allocated the contract identifier.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="partyReference" type="PartyReference"/>

versionedContractId

  Type: | VersionedContractId, complex content

  A contract id which is version aware.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="versionedContractId" type="VersionedContractId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.